import request from '../http'

// 设备查询
export const getDeviceInfo = (deviceNo) => {
	return request({
		url: `/app/device/${deviceNo}`,
		method: 'get',
	})
}

// 立即租借
export const rentPowerBank = (deviceNo, phone) => {
	return request({
		url: `/app/device/rentPowerBank?deviceNo=${deviceNo}`,
		method: 'post',
		data: {
			// deviceNo,
			phone
		}
	})
}

// 确认支付并弹出风扇
export const confirmPaymentAndRent = (orderId) => {
	console.log(`确认支付并弹出风扇, orderId: ${orderId}`)
	return request({
		url: `/app/device/confirmPaymentAndRent?orderId=${orderId}`,
		method: 'GET'
	})
}

// 强制打开空格子
export const forcefOpenEmptyGrid = (deviceNo) => {
	console.log(`强制打开空格子, deviceNo: ${deviceNo}`)
	return request({
		url: `/app/device/forcef/${deviceNo}`,
		method: 'post'
	})
}

